<script setup>
import { Head, Link, useForm } from '@inertiajs/vue3';
import AppLayout from '@/Layouts/AppLayout.vue';

const props = defineProps({
    id: null,
    created_at: null,
    updated_at: null,
    name: null,
    vendor_code: null,
});

const form = useForm({
    ...props
})

function onSubmit() {
    if (form.id) {
        form.put(route('products.update', form.id));
    } else {
        form.post(route('products.store'));
    }
}
</script>

<template>
    <Head title="Продукты"/>

    <AppLayout>
        <template #breadcrumb>
            Продукты / {{ props.id ? 'Изменеие' : 'Создание' }}
        </template>

        <div class="d-flex justify-content-between my-3">
            <div class="d-flex flex-row gap-2">
                <span>Создан</span>
                <span class="badge text-bg-secondary" v-text="form.created_at"/>
            </div>
            <div class="d-flex flex-row gap-2">
                <span>Изменён</span>
                <span class="badge text-bg-secondary" v-text="form.updated_at"/>
            </div>
        </div>
        <form @submit.prevent="onSubmit">
            <div class="mb-3">
                <label for="name" class="form-label">Наименование</label>
                <input
                    v-model="form.name"
                    id="name"
                    type="text"
                    class="form-control"
                    :class="{'is-invalid': form.errors.name}"
                >
                <div v-if="form.errors.name" class="invalid-feedback">
                    {{ form.errors.name }}
                </div>
            </div>
            <div class="mb-3">
                <label for="vendor_code" class="form-label">Артикул</label>
                <input
                    v-model="form.vendor_code"
                    id="vendor_code"
                    type="text"
                    class="form-control"
                    :class="{'is-invalid': form.errors.vendor_code}"
                    :disabled="form.id"
                >
                <div v-if="form.errors.vendor_code" class="invalid-feedback">
                    {{ form.errors.vendor_code }}
                </div>
            </div>
            <div class="d-flex justify-content-end gap-2">
                <Link as="button" :href="route('products.index')" class="btn btn-secondary">Закрыть</Link>
                <button type="submit" class="btn btn-success">Сохранить</button>
            </div>
        </form>
    </AppLayout>
</template>
